Runtime

## org.eclipse.gmf.runtime.notation
Class Sorting

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.runtime.notation.Sorting

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class Sorting

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Sorting', and utility methods for working with them.

See Also:
  `NotationPackage.getSorting()`, Serialized Form
** Generated **
Model:

Field Summary
`static int` `AUTOMATIC` The 'Automatic' literal value
`static Sorting` `AUTOMATIC_LITERAL` The 'Automatic' literal object
`static int` `MANUAL` The 'Manual' literal value
`static Sorting` `MANUAL_LITERAL` The 'Manual' literal object
`static int` `NONE` The 'None' literal value
`static Sorting` `NONE_LITERAL` The 'None' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Sorting' enumerators

Method Summary
`static Sorting` `get(int value)` Returns the 'Sorting' literal with the specified integer value
`static Sorting` `get(java.lang.String literal)` Returns the 'Sorting' literal with the specified literal value
`static Sorting` `getByName(java.lang.String name)` Returns the 'Sorting' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  The 'None' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="None"

### MANUAL

    public static final int MANUAL

  The 'Manual' literal value.

  See Also:
    `MANUAL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Manual"

### AUTOMATIC

    public static final int AUTOMATIC

  The 'Automatic' literal value.

  See Also:
    `AUTOMATIC_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Automatic"

### NONE_LITERAL

    public static final Sorting NONE_LITERAL

  The 'None' literal object.

  See Also:
    `NONE`
  ** Generated **
  Ordered:

### MANUAL_LITERAL

    public static final Sorting MANUAL_LITERAL

  The 'Manual' literal object.

  See Also:
    `MANUAL`
  ** Generated **
  Ordered:

### AUTOMATIC_LITERAL

    public static final Sorting AUTOMATIC_LITERAL

  The 'Automatic' literal object.

  See Also:
    `AUTOMATIC`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Sorting' enumerators.

  ** Generated **

Method Detail

### get

    public static Sorting get(java.lang.String literal)

  Returns the 'Sorting' literal with the specified literal value.

  ** Generated **

### getByName

    public static Sorting getByName(java.lang.String name)

  Returns the 'Sorting' literal with the specified name.

  ** Generated **

### get

    public static Sorting get(int value)

  Returns the 'Sorting' literal with the specified integer value.

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.